PCRE2_GET_MARK(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

PCRE2_SPTR pcre2_get_mark(pcre2_match_data *match_data);

DESCRIPTION

After a call of pcre2_match() that was passed the match block that is this function's argument, this function returns a pointer to the last (*MARK) name that was encountered. The name is zero-terminated, and is within the compiled pattern. If no (*MARK) name is available, NULL is returned. A (*MARK) name may be available after a failed match or a partial match, as well as after a successful one.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.